/* 轮播 */
.banner {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 20px auto;
}

.banner .swiper-container {
    position: relative;
    width: 970px;
    height: 410px;
}

.banner .swiper-button-prev,
.swiper-button-next {
    width: 28px;
    height: 36px;
    background: transparent;
}

.banner .swiper-button-left {
    position: absolute;
    display: block;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 28px;
    height: 36px;
    z-index: 999;
}

.banner .swiper-button-right {
    position: absolute;
    display: block;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 28px;
    height: 36px;
    z-index: 999;
}

.banner .swiper-container .swiper-wrapper {
    width: 100%;
    height: 100%;
}

.banner .swiper-container .swiper-wrapper img {
    display: block;
    object-fit: contain;
    width: 100%;
    height: 100%;
}

.banner .user-card {
    width: 220px;
    height: 410px;
    background: #FFFFFF;
    border-radius: 4px 4px 4px 4px;
    padding: 40px 20px;
}

.user-card .nologin-png {
    display: block;
    width: 120px;
    height: 120px;
    margin: 0 auto;
}

.user-card .nologin-btns {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-top: 20px;
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 12px;
}

.user-card .nologin-btns .register-btn {
    background: #FFFFFF;
    box-shadow: 0px 0px 4px 1px rgba(0, 0, 0, 0.25);
    border-radius: 15px 15px 15px 15px;
    /* opacity: 0.2; */
    color: #F5841C;

}

.user-card .nologin-btns .login-btn {
    background: #F5841C;
    border-radius: 50px 50px 50px 50px;
}

.user-card .nologin-btns a {
    display: block;
    width: 80px;
    height: 26px;
    line-height: 26px;
    text-align: center;
    color: #fff;

}

.user-card .nologin-text {
    text-align: center;
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 12px;
    color: #999999;
    margin-top: 4px;
}

.user-card .avatar {
    display: block;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background: #eee;
    margin-bottom: 10px;
    margin: 0 auto;
}

.user-card .nickname {
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 16px;
    color: #333333;
    margin-top: 9px;
    text-align: center;
}

.user-card .go-center {
    display: block;
    width: 80px;
    height: 26px;
    line-height: 26px;
    background: #FFFFFF;
    box-shadow: 0px 0px 4px 1px rgba(0, 0, 0, 0.25);
    border-radius: 15px 15px 15px 15px;
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 12px;
    color: #F5841C;
    text-align: center;
}

.user-card .logout {
    display: block;
    width: 80px;
    height: 26px;
    line-height: 26px;
    background: #F5841C;
    border-radius: 50px 50px 50px 50px;
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 12px;
    color: #FFFFFF;
    text-align: center;
}

.user-card .btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 180px;
    height: 44px;
    background: #056DE8;
    box-shadow: 0px 0px 4px 1px rgba(5, 109, 232, 0.4);
    border-radius: 4px 4px 4px 4px;
    margin: 60px auto 0;
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 16px;
    color: #FFFFFF;

}

.user-card .btn .issue_icon {
    display: block;
    width: 20px;
    height: 20rpx;
    margin-right: 10px;
}


/* 模块 */
.module {
    /* padding: 20px; */
    /* background-color: #fff; */

}

.module-title {
    background: #6495ed;
    color: #fff;
    padding: 12px 15px;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 15px;
}

.module-title span {
    font-size: 14px;
    font-weight: normal;
    margin-left: 10px;
}


.project-row {
    display: flex;
    gap: 20px;
    margin-bottom: 20px;

}

.project-col {
    position: relative;
    flex: 1;
    cursor: pointer;
    background-color: #fff;
    border-radius: 4px 4px 4px 4px;
    padding-bottom: 20px;

}

.project-col .col-title {
    padding: 20px 20px 0 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;

}

.project-col .col-title .main-title {
    position: relative;
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: bold;
    font-size: 18px;
    color: #056DE8;
    padding-left: 12px;
}

.project-col .col-title .main-title::after {
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    content: ' ';
    width: 3px;
    height: 20px;
    background-color: #056de8;
    border-radius: 4px;
}

.project-col .col-title .sub-title {
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 14px;
    color: #999999;
    margin-left: 10px;
}

.project-col .col-title .right_icon {
    display: block;
    width: 18px;
    height: 18px;
}

.project-item {
    border-bottom: 1px solid #eee;
    padding: 22px 20px;
}

.project-item:last-child {
    border-bottom: none;
}

.project-item .title {
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 16px;
    color: #333333;
    margin-bottom: 10px;
}

.project-item .desc {
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 14px;
    color: #999999;
    align-content: center;
    margin-bottom: 10px;

}



.project-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 18px;
    font-size: 14px;
    color: #333333;
    margin-top: 10px;
}

.project-info span {
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 16px;
    color: #F51111;
}

.project-actions {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 8px;
    font-size: 12px;
}

.project-actions .time {
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 12px;
    color: #999999;
    margin-left: 14px;
}

.project-actions button {
    display: block;
    /* width: 64px; */
    padding: 2px 8px;
    border-radius: 4px;
    border: 1px solid #056DE8;
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 11px;
    color: #056DE8;
    text-align: center;
    cursor: pointer;
    background-color: transparent;

}

.tag-btn {
    display: block;
    padding: 2px 6px;
    border-radius: 4px;
    border: 1px solid #056DE8;
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 11px;
    color: #056DE8;
    text-align: center;
    cursor: pointer;
    background-color: transparent;
}

/* 资讯 */
.news-list {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.news-item {
    display: flex;
    align-items: stretch;
    gap: 18px;
    font-size: 12px;
    border-bottom: 1px solid #eee;
    padding: 22px 20px;
}

.news-item img {
    display: block;
    width: 140px;
    height: 100px;
    background: #eee;
    object-fit: cover;
}

.news-content {
    display: flex;
    flex-direction: column;
    flex: 1;
}

.news-content .title {
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: bold;
    font-size: 16px;
    color: #333333;
    margin-bottom: 10px;

}

.news-content .desc {
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 14px;
    color: #666666;

}

.news-content .date {
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 12px;
    color: #999999;
    margin-top: auto;
}

/* 公司 */
.company-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
    padding: 0 20px;
}

.company-item {
    padding: 20px;
    background: #FFFFFF;
    box-shadow: 0px 0px 2px 1px rgba(0, 0, 0, 0.05);
    border-radius: 4px 4px 4px 4px;
    margin-top: 20px;
}

.company-item .top {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 10px;
}

.company-item .logo {
    width: 56px;
    height: 56px;
    background: #eee;
    border-radius: 50%;
}

.company-item .name {
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 16px;
    color: #000000;
}

.company-item .imgs {

    display: flex;
    align-items: center;
}

.company-item .imgs img {
    display: block;
    width: 20px;
    height: 20px;
    margin-left: 10px;
}

.company-item .adress_icon {
    display: block;
    width: 16px;
    height: 16px;
    margin-right: 6px;
}

.company-item .trading_volume {
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 12px;
    color: #666666;
}

.company-item .address {
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 12px;
    color: #666666;
}

.company-item .desc {
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 12px;
    color: #333333;
    margin-bottom: 10px;
}

.company-actions {
    display: flex;
    gap: 10px;
}

.company-actions button {
    padding: 3px 6px;
    border: 1px solid #0066cc;
    background: #fff;
    border-radius: 3px;
    cursor: pointer;
    font-family: Microsoft YaHei, Microsoft YaHei;
    font-weight: 400;
    font-size: 11px;
    color: #056DE8;
}